- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# neethi_registry.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <neethi_includes.h>`
`#include <neethi_policy.h>`

Go to the source code of this file.

## Typedefs
typedef struct neethi_registry_t | neethi_registry_t
## Functions
AXIS2_EXTERN neethi_registry_t * | neethi_registry_create (const axutil_env_t *env)
AXIS2_EXTERN neethi_registry_t * | neethi_registry_create_with_parent (const axutil_env_t *env, neethi_registry_t *parent)
AXIS2_EXTERN void | neethi_registry_free (neethi_registry_t *neethi_registry, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | neethi_registry_register (neethi_registry_t *neethi_registry, const axutil_env_t *env, axis2_char_t *key, neethi_policy_t *value)
AXIS2_EXTERN neethi_policy_t * | neethi_registry_lookup (neethi_registry_t *neethi_registry, const axutil_env_t *env, axis2_char_t *key)

## Detailed Description